Subject: [ rtspspec-Bugs-477411 ] SDP examples, field order

From: [email-masked]
Date: Fri, 02 Nov 2001 00:48:27 -0800

Bugs item #477411, was opened at 2001-11-01 23:29
You can respond by visiting: 
http://sourceforge.net/tracker/?func=detail&atid=377744&aid=477411&group_id=23194

Category: None
Group: None
Status: Open
Resolution: None
Priority: 5
Submitted By: Magnus Westerlund (magwes)
Assigned to: Nobody/Anonymous (nobody)
Summary: SDP examples, field order

Initial Comment:
SDP examples in spec is in wrong order: The SDP specifcation requires a certain order between the 
type names, see section 6 in RFC 2327.

----------------------------------------------------------------------

Comment By: Nobody/Anonymous (nobody)
Date: 2001-11-02 00:48

Message:
Logged In: NO 

Yes. The right sequence is...s->c->t
the example seems to be wrong...
I can see the mistake at C.3, too

----------------------------------------------------------------------

Comment By: Magnus Westerlund (magwes)
Date: 2001-11-01 23:31

Message:
Logged In: YES 
user_id=302620

These are at least erronous

14.4 Live Media Presentation Using Multicast
 ...
 m=audio 3456 RTP/AVP 0
 a=control:rtsp://live.example.com/concert/audio
 c=IN IP4 224.2.0.1/16

 and

 C.2 Aggregate Control Not Available
 ...
 s=I came from a web page
 t=0 0
 c=IN IP4 0.0.0.0

----------------------------------------------------------------------

You can respond by visiting: 
http://sourceforge.net/tracker/?func=detail&atid=377744&aid=477411&group_id=23194